# $Revision: 1.14 $, $Date: 2002/10/28 07:19:51 $
Summary:	Realtime audio/video encoder and streaming server
Summary(pl):	Koder audio/wideo czasu rzeczywistego oraz serwer strumieni
Name:		ffmpeg
Version:	0.4.5
Release:	3
License:	GPL
Group:		Daemons
Source0:	http://prdownloads.sourceforge.net/ffmpeg/%{name}-%{version}.tar.gz
Patch0:		%{name}-opt.patch
URL:		http://ffmpeg.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%ifarch i586 i686 athlon
BuildRequires:	nasm
%endif

%description
ffmpeg is a hyper fast realtime audio/video encoder and streaming
server. It can grab from a standard Video4Linux video source and
convert it into several file formats based on DCT/motion compensation
encoding. Sound is compressed in MPEG audio layer 2 or using an AC3
compatible stream.

%description -l pl
ffmpeg jest bardzo szybkim koderem audio/wideo w czasie rzeczywistym
oraz serwerem strumieni multimedialnych. ffmpeg potrafi zrzuca dane
ze standardowego urzdzenia Video4Linux i przekonwertowa je w kilka
formatw plikw bazujcych na kodowaniu DCT/kompensacji ruchu. Dwik
jest kompresowany do strumienia MPEG audio layer 2 lub uywajc
strumienia kompatybilnego z AC3.

%prep
%setup -q -n %{name}
%patch -p1

%build
./configure \
%ifnarch i586 i686 athlon
	--disable-mmx
%endif

%{__make} \
	OPT="%{rpmcflags}" \
	LDOPT="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_sysconfdir}}

install ffmpeg		$RPM_BUILD_ROOT%{_bindir}
install ffserver	$RPM_BUILD_ROOT%{_sbindir}
install doc/*.conf	$RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Change* doc/{bench.txt,ffmpeg.txt,ffserver.txt,README*,TODO,FAQ}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(740,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*.conf

%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ffmpeg.spec,v $
Revision 1.14  2002/10/28 07:19:51  kloczek
- release 3: use new %doc.

Revision 1.13  2002/04/25 16:17:50  arturs
fixed a small typo

Revision 1.12  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/26 13:14:28  filon
- athlon updates
- release 2

Revision 1.10  2002/01/18 02:12:55  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/08 13:45:39  qboosh
- ugh? disable-mmx on archs _other_ than i[56]86, not on i[56]86

Revision 1.8  2001/09/05 16:40:03  filon
- updated to 0.4.5
- updated opt patch, added configure (don't change to %%configure - it's not compatibile)

Revision 1.7  2001/08/12 10:24:43  qboosh
- opt patch
- require nasm on 586/686 only (MMX functions - chosen at runtime)

Revision 1.6  2001/07/26 10:53:26  newrom
- Added nasm to BuildRequires

Revision 1.5  2001/07/25 17:21:31  newrom
- Updated to 0.4.4
- Changed Source0: and URL: location
- Removed %{rpmcflags} macro (doesn't compile with)

Revision 1.4  2001/04/30 16:05:17  kloczek
- added using %%{rpmcflags} macro.

Revision 1.3  2001/03/29 09:23:40  mis
- autoupdated to 0.3.4

Revision 1.2  2001/02/18 22:51:59  kloczek
- spec adapterized.

Revision 1.1  2001/02/17 16:49:12  misiek
New. Audio/Video encoder and streaming server
